Subject: Re: bug#5953: 23.1.95; objc-mode doesn't fontify Objective-C 2.0 keywords @syntesize and @property correctly

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Nov 2019 17:11:58 +0100

Leo <[email-masked]> writes:

> On 2012-08-22 11:32 +0800, Leo wrote:
>> Here is a list of OjbC2.0 directives with annotations:
>>
>>   http://maniacdev.com/cheatsheetobjccd.pdf
>>
>> Leo
>
> I have compiled a patch to improve support for Objective C.
>
> I am not sure where to add the following keywords so they live in
> c-other-decl-kwds for now. Please review the patch. Thanks.
>
>   1. @property
>      : @property (attributes) Type propertyName;
>   2. @dynamic
>      : @dynamic aProperty, bProperty;
>   3. @synthesize
>      : @synthesize aProperty, bProperty, cProperty=_ivar;
>   4. @compatibility_alias
>      : @compatibility_alias AliasClassName ExistingClassName;

[...]

> -  objc    '("@class" "@end" "@defs")
> +  objc    '("@class" "@defs" "@end" "@property" "@dynamic" "@synthesize"
> +	    "@compatibility_alias")

(etc)

It seems like this patch (from seven years ago) was never applied.  I
know nothing about Objective C, though.  Alan, could you have a look at
this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no